
Figure - Bug #114423
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开日历、时钟小窗，在屏幕两侧左划或者右划，无法关闭小窗
2022-12-08 15:43 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0056.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0062.X101

Reproducibility: Every time Fixed Version: 2022-12-27

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、打开”日历、时钟”小窗

2、在屏幕两侧左划或者右划

【预期结果】

2、滑动后小窗关闭

【实际结果】

2、滑动不生效，小窗不被关闭

【复现率】

5/5

History

#1 - 2022-12-09 11:19 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-黄棚

#2 - 2022-12-09 14:04 - CD TEST-方永红

- Subject changed from 【AF】【EVT】【小窗模式】打开一应用小窗，在屏幕两侧左划或者右划，可以关闭小窗 to 【AF】【EVT】【小窗模式】打开日历

、时钟小窗，在屏幕两侧左划或者右划，无法关闭小窗

- Description updated

#3 - 2022-12-09 16:50 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to DL FW-张挽强

- % Done changed from 0 to 20

■ Current conclusion

此问题应属于小窗模式下导致的
■ My analysis

一、首先，不管是，小窗模式还是全屏模式，应用都能收到KEYCODE_BACK事件，证明应用事件监听是没问题的，如下：

2022-11-24 23:08:45.949 5456-5456/com.lyl.widget I/hpe-widget: keyCode==4

2022-11-24 23:08:54.451 5456-5456/com.lyl.widget I/hpe-widget: keyCode==4

2022-11-24 23:08:58.605 5456-5456/com.lyl.widget I/hpe-widget: keyCode==4

2022-11-24 23:18:59.315 5456-5456/com.lyl.widget I/hpe-widget: keyCode==4

2022-11-24 23:19:06.024 5456-5456/com.lyl.widget I/hpe-widget: keyCode==4

二、为什么有的应用能正常退出，应为该应用监听了返回事件，并做了主动finish()处理,如音乐：

    @Override

    public boolean dispatchKeyEvent(KeyEvent event) {

        int curpos = mTrackList.getSelectedItemPosition();

        if (mPlaylist != null && !mPlaylist.equals("recentlyadded") && curpos >= 0 &&

                event.getMetaState() != 0 && event.getAction()  KeyEvent.ACTION_DOWN) {

            switch (event.getKeyCode()) {

                case KeyEvent.KEYCODE_DPAD_UP:

                    moveItem(true);

                    return true;

                case KeyEvent.KEYCODE_DPAD_DOWN:

                    moveItem(false);

                    return true;

                case KeyEvent.KEYCODE_DEL:

                    removeItem();

                    return true;

            }

        } else if (event.getAction()  KeyEvent.ACTION_UP &&

                       event.getKeyCode() == KeyEvent.KEYCODE_BACK) {

            finish();

            return true;

        }

三、小窗模式下，返回没能正常退出的应用，该应用就没有监听返回事件,没法正常退出。但默认情况下，应用没有监听返回事件，默认应是会触发返回

的，全屏模式就是正常的，但小窗模式下就异常了，这就需要小窗那边进一步查一下为什么在小窗模式下返回事件失效了

■ Next action

需要小窗进一步查一下返回事件在哪里断了

#4 - 2022-12-14 19:04 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#5 - 2022-12-22 16:46 - CD FW-王伟

- Category changed from CD-APP to 窗口定制

#6 - 2022-12-26 10:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171209 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed clock and other app can not closed when in freeform1.Modify dispatchKeyEvent logicChange-Id:
I8db0205e15f44c732da6bd0431eed7f8cf265b6bTC-RID: 1201-0204601IssueID: TS-R-BUG-114423

#7 - 2022-12-26 10:14 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 20 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-12-27

- Root cause set to 编码问题

#8 - 2022-12-27 16:23 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0062.X101

12.27

验证通过

#9 - 2022-12-27 16:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1542111.png 11.4 KB 2022-12-08 CD TEST-方永红
